org.apache.commons.compress.utils

## Class FlushShieldFilterOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.apache.commons.compress.utils.FlushShieldFilterOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class FlushShieldFilterOutputStream
      extends FilterOutputStream

  Re-implements `FilterOutputStream.flush()` to do nothing.

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlushShieldFilterOutputStream(OutputStream out)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flush()`

    - ### Methods inherited from class java.io.FilterOutputStream

      `close, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlushShieldFilterOutputStream

          public FlushShieldFilterOutputStream(OutputStream out)

  - ### Method Detail

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `FilterOutputStream`
      Throws:
        `IOException`

Copyright © 2016 The Apache Software Foundation. All rights reserved.